from gm_dataquery.db import DB
from live.models import LiveStream, ZhiboConfig
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery


class LiveStreamDB(DataBuilder):
    pass


@DB
class LiveStreamDQ(DataSQLQuery):
    model = LiveStream
    data_model = LiveStreamDB


class ZhiboConfigDB(DataBuilder):
    pass


@DB
class TouTiaoTagDQ(DataSQLQuery):
    model = ZhiboConfig
    data_model = ZhiboConfigDB
